import threading
import time
from board import Board
from game import *
from ctypes import *
import time
import os

if os.name == 'posix':
    
    Xtst = CDLL("libXtst.so.6")
    Xlib = CDLL("libX11.so.6")
    dpy = Xtst.XOpenDisplay(None)
    def SendInput( txt ):
        for c in txt:
            sym = Xlib.XStringToKeysym(c)
            code = Xlib.XKeysymToKeycode(dpy, sym)
            Xtst.XTestFakeKeyEvent(dpy, code, True, 0)
            Xtst.XTestFakeKeyEvent(dpy, code, False, 0)
        Xlib.XFlush(dpy)

    def SendKeyPress(key):
        sym = Xlib.XStringToKeysym(str(key))
        code = Xlib.XKeysymToKeycode(dpy, sym)
        Xtst.XTestFakeKeyEvent(dpy, code, True, 0)
        Xlib.XFlush(dpy)

    def SendKeyRelease(key):
        sym = Xlib.XStringToKeysym(str(key))
        code = Xlib.XKeysymToKeycode(dpy, sym)
        Xtst.XTestFakeKeyEvent(dpy, code, False, 0)
        Xlib.XFlush(dpy)


class StoppableThread (threading.Thread):
    """Thread class with a stop() method. The thread itself has to check
    regularly for the stopped() condition."""

    def __init__ (self):
        super(StoppableThread, self).__init__()
        self._stop = threading.Event()

    def stop (self):
        self._stop.set()

    def stopped (self):
        return self._stop.isSet()

class ThreadOne ( threading.Thread ):
 def run ( self ):
     while(1):
        value=b.get_switch()
        while(value):
            value=b.get_switch()
            SendKeyPress('n')
            #time.sleep(0.1)
        while(not value):
            value=b.get_switch()
            SendKeyRelease('n')
            #time.sleep(0.1)
class ThreadTwo ( threading.Thread ):
 def run ( self ):
     while(1):
        value2=b.get_switch2()
        while(value2):
          value2=b.get_switch2()
          SendKeyPress('d')
          #time.sleep(0.5)
          if(value2 == 0):
             SendKeyRelease('d')
class ThreadThree ( threading.Thread ):
 def run ( self ):
     while(1):
        value3=b.get_switch3()
        while(value3):
          value3=b.get_switch3()
          SendKeyPress('a')
          #time.sleep(0.1)
          if(value3 == 0):
             SendKeyRelease('a')

class ThreadFour ( threading.Thread ):
 def run ( self ):
     while(1):
        value4=b.get_switch4()
        while(value4):
          value4=b.get_switch4()
          SendKeyPress('w')
          #time.sleep(0.1)
          if(value4 == 0):
             SendKeyRelease('w')
          
b = Board()            
thingOne = ThreadOne()
thingOne.start()

thingTwo = ThreadTwo()
thingTwo.start()

thingThree = ThreadThree()
thingThree.start()

thingFour = ThreadFour()
thingFour.start()


